Bug 1575402 - Audio on speakers working but not on headphone jack
Summary: Audio on speakers working but not on headphone jack
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-06 15:55 UTC by Matt Daveson
Modified: 2018-05-23 19:54 UTC (History)
17 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-23 19:54:50 UTC
Type: Bug


Attachments (Terms of Use)
audio output device switch (59.00 KB, image/png)
2018-05-07 16:16 UTC, Matt Daveson
no flags Details

Description Matt Daveson 2018-05-06 15:55:17 UTC
On my notebook, sound works on speaker, but when I connect the headphones/earphones to the 3.5mm jack, no sound on them. Running fedora workstation. On Ubuntu it works by default, probably due to proprietary drivers?

[root@localhost ~]# lspci -k
00:1f.3 Audio device: Intel Corporation Sunrise Point-H HD Audio (rev 31)
        Subsystem: Micro-Star International Co., Ltd. [MSI] Device 11b1
        Kernel driver in use: snd_hda_intel
        Kernel modules: snd_hda_intel
01:00.1 Audio device: NVIDIA Corporation GP104 High Definition Audio Controller (rev a1)
        Subsystem: Micro-Star International Co., Ltd. [MSI] Device 11bb
        Kernel driver in use: snd_hda_intel
        Kernel modules: snd_hda_intel

[root@localhost ~]# arecord -l
**** List of CAPTURE Hardware Devices ****
card 0: PCH [HDA Intel PCH], device 0: ALC898 Analog [ALC898 Analog]
  Subdevices: 1/1
  Subdevice #0: subdevice #0

[root@localhost ~]# arecord -L
null
    Discard all samples (playback) or generate zero samples (capture)
pulse
    PulseAudio Sound Server
default
    Default ALSA Output (currently PulseAudio Sound Server)
sysdefault:CARD=PCH
    HDA Intel PCH, ALC898 Analog
    Default Audio Device
front:CARD=PCH,DEV=0
    HDA Intel PCH, ALC898 Analog
    Front speakers

[root@localhost ~]# record -l
open /dev/mixer: No such file or directory

[root@localhost ~]# cat /proc/asound/cards
 0 [PCH            ]: HDA-Intel - HDA Intel PCH
                      HDA Intel PCH at 0xda120000 irq 131
 1 [NVidia         ]: HDA-Intel - HDA NVidia
                      HDA NVidia at 0xdc080000 irq 17

[root@localhost ~]# aplay -l
**** List of PLAYBACK Hardware Devices ****
card 0: PCH [HDA Intel PCH], device 0: ALC898 Analog [ALC898 Analog]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: PCH [HDA Intel PCH], device 1: ALC898 Digital [ALC898 Digital]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 1: NVidia [HDA NVidia], device 3: HDMI 0 [HDMI 0]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 1: NVidia [HDA NVidia], device 7: HDMI 1 [HDMI 1]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 1: NVidia [HDA NVidia], device 8: HDMI 2 [HDMI 2]
  Subdevices: 1/1
  Subdevice #0: subdevice #0


[root@localhost ~]# aplay -L
null
    Discard all samples (playback) or generate zero samples (capture)
pulse
    PulseAudio Sound Server
default
    Default ALSA Output (currently PulseAudio Sound Server)
sysdefault:CARD=PCH
    HDA Intel PCH, ALC898 Analog
    Default Audio Device
front:CARD=PCH,DEV=0
    HDA Intel PCH, ALC898 Analog
    Front speakers
surround21:CARD=PCH,DEV=0
    HDA Intel PCH, ALC898 Analog
    2.1 Surround output to Front and Subwoofer speakers
surround40:CARD=PCH,DEV=0
    HDA Intel PCH, ALC898 Analog
    4.0 Surround output to Front and Rear speakers
surround41:CARD=PCH,DEV=0
    HDA Intel PCH, ALC898 Analog
    4.1 Surround output to Front, Rear and Subwoofer speakers
surround50:CARD=PCH,DEV=0
    HDA Intel PCH, ALC898 Analog
    5.0 Surround output to Front, Center and Rear speakers
surround51:CARD=PCH,DEV=0
    HDA Intel PCH, ALC898 Analog
    5.1 Surround output to Front, Center, Rear and Subwoofer speakers
surround71:CARD=PCH,DEV=0
    HDA Intel PCH, ALC898 Analog
    7.1 Surround output to Front, Center, Side, Rear and Woofer speakers
iec958:CARD=PCH,DEV=0
    HDA Intel PCH, ALC898 Digital
    IEC958 (S/PDIF) Digital Audio Output
hdmi:CARD=NVidia,DEV=0
    HDA NVidia, HDMI 0
    HDMI Audio Output
hdmi:CARD=NVidia,DEV=1
    HDA NVidia, HDMI 1
    HDMI Audio Output
hdmi:CARD=NVidia,DEV=2
    HDA NVidia, HDMI 2
    HDMI Audio Output

Comment 1 Matt Daveson 2018-05-07 16:11:01 UTC
Finally workarounded the problem going to Audio Volume Settings on KDE. It happens that on Audio Volume tab, Advanced, there is an option which is greyed out, because the dependencies are missing:

"Automatically switch all running streams when a new output becomes available" (Requires 'module-gconf' PulseAudio module): it's greyed out.

To redirect audio from speakers to headphones/earphones, it has to be done manually: go to Profile list in same tab and change from "Analog Stereo Output" or "Analog Surround 4.0 Output" to "Digital Stereo (IEC958) output". That way there is no more sound on the speaker but do on the headphones.

Comment 2 Matt Daveson 2018-05-07 16:16:01 UTC
Created attachment 1432697 [details]
audio output device switch

Comment 3 Jeremy Cline 2018-05-23 19:54:50 UTC
Hi,

It sounds like this isn't a kernel bug. Did you try installing pulseaudio-module-gconf like it advised? If that doesn't address the problem, then it's a problem with KDE, I'd guess.


Note You need to log in before you can comment on or make changes to this bug.